# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/ngs-bits, last modified Thu Jun 27 12:16:58 2024
# ------------------------------------------------

package:
  name: ngs-bits
  version: '2024_06'
source:
  sha256: d338ed656e80a67dba4d1e7decdf40744f398e7559eb4daa2e6cac5b951ec157
  url: https://github.com/imgag/ngs-bits/releases/download/2024_06/ngs-bits-2024_06.tgz
build:
  number: '1'
  run_exports:
    - ngs-bits >=2024.6
  string: py312h738218d_1
requirements:
  build:
    - ca-certificates 2024.6.2 h8857fd0_0
    - cctools_osx-64 986 ha1c5b94_0
    - clang 16.0.6 default_ha3b9224_8
    - clang-16 16.0.6 default_h4c8afb6_8
    - clang_impl_osx-64 16.0.6 h8787910_16
    - clang_osx-64 16.0.6 hb91bd55_16
    - clangxx 16.0.6 default_ha3b9224_8
    - clangxx_impl_osx-64 16.0.6 h6d92fbe_16
    - clangxx_osx-64 16.0.6 hb91bd55_16
    - compiler-rt 16.0.6 ha38d28d_2
    - compiler-rt_osx-64 16.0.6 ha38d28d_2
    - icu 73.2 hf5e326d_0
    - ld64_osx-64 711 ha20a434_0
    - libclang-cpp16 16.0.6 default_h4c8afb6_8
    - libcxx 17.0.6 h8d2f0da_1
    - libiconv 1.17 hd75f5a5_2
    - libllvm16 16.0.6 hbedff68_3
    - libxml2 2.12.7 h3e169fe_1
    - libzlib 1.3.1 h87427d6_1
    - llvm-tools 16.0.6 hbedff68_3
    - make 4.3 h22f3db7_1
    - openssl 3.3.1 h87427d6_1
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  host:
    - bzip2 1.0.8 h10d778d_5
    - c-ares 1.28.1 h10d778d_0
    - ca-certificates 2024.6.2 h8857fd0_0
    - glib 2.80.2 h0f68cf7_0
    - glib-tools 2.80.2 hc27840c_0
    - gst-plugins-base 1.24.4 ha0a8333_0
    - gstreamer 1.24.4 hbc75551_0
    - htslib 1.20 hec81eee_1
    - icu 73.2 hf5e326d_0
    - krb5 1.21.3 h37d8d59_0
    - libclang-cpp15 15.0.7 default_h7151d67_5
    - libclang13 18.1.7 default_h0449792_0
    - libcurl 8.8.0 hf9fcc65_0
    - libcxx 17.0.6 h8d2f0da_1
    - libdeflate 1.20 h49d49c5_0
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 h10d778d_2
    - libexpat 2.6.2 h73e2aa4_0
    - libffi 3.4.2 h0d85af4_5
    - libglib 2.80.2 h0f68cf7_0
    - libiconv 1.17 hd75f5a5_2
    - libintl 0.22.5 h5ff76d1_2
    - libintl-devel 0.22.5 h5ff76d1_2
    - libjpeg-turbo 3.0.0 h0dc2134_1
    - libllvm15 15.0.7 hbedff68_4
    - libllvm18 18.1.7 hd5e122f_0
    - libnghttp2 1.58.0 h64cf6d3_1
    - libogg 1.3.5 hfdf4475_0
    - libopus 1.3.1 hc929b4f_1
    - libpng 1.6.43 h92b6c6a_0
    - libpq 16.3 h4501773_0
    - libsqlite 3.46.0 h1b8f9f3_0
    - libssh2 1.11.0 hd019ec5_0
    - libvorbis 1.3.7 h046ec9c_0
    - libxml2 2.12.7 h3e169fe_1
    - libzlib 1.2.13 h87427d6_6
    - mysql-common 8.3.0 hfd7a639_4
    - mysql-libs 8.3.0 ha9146f8_4
    - ncurses 6.5 h5846eda_0
    - nspr 4.35 hea0b92c_0
    - nss 3.100 h6606ded_0
    - openssl 3.3.1 h87427d6_1
    - pcre2 10.43 h0ad2156_0
    - pip 24.0 pyhd8ed1ab_0
    - python 3.12.3 h1411813_0_cpython
    - qt-main 5.15.8 hecaf5c3_21
    - readline 8.2 h9e318b2_1
    - setuptools 70.1.1 pyhd8ed1ab_0
    - tk 8.6.13 h1abcd95_1
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h775f41a_0
    - zlib 1.2.13 h87427d6_6
    - zstd 1.5.6 h915ae27_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - htslib >=1.20,<1.21.0a0
    - libcxx >=16
    - libzlib >=1.2.13,<2.0a0
    - matplotlib-base
    - python >=3.12,<3.13.0a0
    - qt-main >=5.15.8,<5.16.0a0
    - xz >=5.2.6,<6.0a0
    - zlib
about:
  home: https://github.com/imgag/ngs-bits
  license: MIT license
  license_file: LICENSE
  summary: Short-read sequencing tools
extra:
  additional-platforms:
    - linux-aarch64
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
